AbstractDelegationTokenIdentifier (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.token.delegation
Class AbstractDelegationTokenIdentifier

    java.lang.Object
      org.apache.hadoop.security.token.TokenIdentifier
          org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

All Implemented Interfaces:
  Writable

Direct Known Subclasses:
  DelegationTokenIdentifier

    public abstract class AbstractDelegationTokenIdentifier

extends TokenIdentifier

Constructor Summary
`AbstractDelegationTokenIdentifier()`
`AbstractDelegationTokenIdentifier(Text owner, Text renewer, Text realUser)`

Method Summary
`boolean` | `equals(Object obj)`
`long` | `getIssueDate()`
`abstract Text` | `getKind()` Get the token kind
`int` | `getMasterKeyId()`
`long` | `getMaxDate()`
`Text` | `getRenewer()`
`int` | `getSequenceNumber()`
`UserGroupInformation` | `getUser()` Get the username encoded in the token identifier
`int` | `hashCode()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `setIssueDate(long issueDate)`
`void` | `setMasterKeyId(int newId)`
`void` | `setMaxDate(long maxDate)`
`void` | `setSequenceNumber(int seqNum)`
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier
`getBytes`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractDelegationTokenIdentifier

    public AbstractDelegationTokenIdentifier()

### AbstractDelegationTokenIdentifier

    public AbstractDelegationTokenIdentifier(Text owner,
                                             Text renewer,
                                             Text realUser)

Method Detail

### getKind

    public abstract Text getKind()

  Description copied from class: `TokenIdentifier`
  Get the token kind

  Specified by:
    `getKind` in class `TokenIdentifier`
  Returns:
    the kind of the token

### getUser

    public UserGroupInformation getUser()

  Get the username encoded in the token identifier

  Specified by:
    `getUser` in class `TokenIdentifier`
  Returns:
    the username or owner

### getRenewer

    public Text getRenewer()

### setIssueDate

    public void setIssueDate(long issueDate)

### getIssueDate

    public long getIssueDate()

### setMaxDate

    public void setMaxDate(long maxDate)

### getMaxDate

    public long getMaxDate()

### setSequenceNumber

    public void setSequenceNumber(int seqNum)

### getSequenceNumber

    public int getSequenceNumber()

### setMasterKeyId

    public void setMasterKeyId(int newId)

### getMasterKeyId

    public int getMasterKeyId()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation